<app-navbar></app-navbar>
<div class="container">
<br><br>
  <div class="card ">
    <div class="card-header bg-primary ">
      <h6 style="color: white">Personal informations</h6>
    </div>
    <div class="container">
      <br>
      <fieldset style="text-align: center">
        <form [formGroup]="userForm">
          <table class="table">
            <tr>
              <mat-form-field appearance="outline" style="width: 470px">
                <mat-label>First Name</mat-label>
                <input matInput placeholder="First Name" formControlName="firstname">
              </mat-form-field>
            </tr>
            <tr>
              <mat-form-field appearance="outline" style="width: 470px">
                <mat-label>Last Name</mat-label>
                <input matInput placeholder="Last Name" formControlName="lastname">
              </mat-form-field>
            </tr>
            <tr>
              <mat-form-field appearance="outline" style="width: 470px">
                <mat-label>User Name</mat-label>
                <input matInput placeholder="UserName" formControlName="username">
              </mat-form-field>
            </tr>
            <tr>
              <mat-form-field appearance="outline" style="width: 470px">
                <mat-label>Email</mat-label>
                <input matInput placeholder="Email" formControlName="email">
              </mat-form-field>
            </tr>
            <tr>
              <mat-form-field appearance="outline" style="width: 470px">
                <mat-label>Password</mat-label>
                <input matInput [type]="hide ? 'password' : 'text'" placeholder="Password" formControlName="password">
                <button mat-icon-button matSuffix (click)="hide = ! hide" [attr.aria-label]="'Hide password'" [attr.aria-pressed]="hide">
                  <mat-icon>{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
                </button>
              </mat-form-field>
            </tr>
            <tr>
              <button class="btn btn-primary" (click)="updateUser()">Validate</button>
            </tr>
          </table>
        </form>
      </fieldset>
    </div>
  </div>

</div>
